Subject: RE: RCS 5.7 Patches
From: "Andre Oliveira da Costa" <[email-masked]>
To: <[email-masked]>
Cc: "Cygwin" <[email-masked]>
Date: Mon, 16 Apr 2001 21:07:02 -0300

Hi there,

I've had a couple of problems with RCS myself in the past, and with the
handy assistance of many people from this list I finally managed to do it. I
have recently had to recompile/reinstall RCS 5.7 on my NT4 w/ cygwin, and
these were the steps I followed:

* apply patch to RCS sources (refer to msg
http://sources.redhat.com/ml/cygwin/2000-10/msg00545.html)
* temporarily link /bin/sh to /bin/bash
* run "./configure" on the main RCS src dir
* run "make && make install" on the same dir
* [optional] restore /bin/sh to its original executable (if you don't mind
using the 460KB -- more feature rich -- bash executable instead of the 68KB
sh executable, you don't have to restore the link)

Be advised, though, that RCS will only work with recent cygwin1.dll
snapshots because of an obscure problem with some inner functions (Corinna
posted a message a while ago about this; it's on the archives). My system
has been running snapshot 20010407 without a glitch for a couple of days
already.

HTH.

Best,

Andre
--
Andre Oliveira da Costa

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Louis Bohm
> Sent: Monday, April 16, 2001 7:08 PM
> To: Larry Hall (RFK Partners, Inc)
> Cc: Jason Tishler; Cygwin
> Subject: Re: RCS 5.7 Patches
>
>
> Well I figured out what my problem was...  Apparently setup does
> not copy the new
> cgywin1.dll into c:\winnt\system32 but just leaves it in
> cygwin/bin.  I copied
> the dll to system32 and things started to work better.
>
> However, now it fails somewhere elese:
> ./conf.sh: configuring bad_chmod_close ... OK
> ./conf.sh: configuring bad_creat0 ... OK
> ./conf.sh: configuring bad_fopen_wplus ... OK
> ./conf.sh: configuring has_attribute_noreturn ... OK
> ./conf.sh: configuring has_dirent, void_closedir ... OK
> ./conf.sh: configuring has_fchmod ... OK
> ./conf.sh: configuring has_fflush_input ... does not work
> ./conf.sh: configuring has_fputs ... OK
> ./conf.sh: configuring has_ftruncate ... OK
> ./conf.sh: configuring has_getuid ... OK
> ./conf.sh: configuring has_getpwuid ... OK
> ./conf.sh: configuring has_kill ... OK
> ./conf.sh: configuring has_memcmp ... OK
> ./conf.sh: configuring has_memcpy ... OK
> ./conf.sh: configuring has_memmove ... OK
> ./conf.sh: configuring has_map_fd, has_mmap, has_madvise,
> mmap_signal ... make[1
> ]: *** [conf.h] Error 1
> make[1]: Leaving directory `/tmp/rcs-5.7/src'
> make: *** [all] Error 2
>
> Attached is the config.err.
>
> Louis
>
> "Larry Hall (RFK Partners, Inc)" wrote:
>
> > At 12:41 PM 4/16/2001, Louis Bohm wrote:
> > >Well that worked as far as the patching goes but I still
> cannot get it to
> > >make.  Just as a side note no matter what args I pass to
> configure it always
> > >reports no to whether or not GNU GCC is installed.
> >
> > Go to www.cygwin.com, click on "Install Now" and install every
> package it
> > presents.
> >
> > Larry Hall                              [email-masked]
> > RFK Partners, Inc.                      http://www.rfk.com
> > 118 Washington Street                   (508) 893-9779 - RFK Office
> > Holliston, MA 01746                     (508) 893-9889 - FAX
>
> --
> ¤¤º°`°º¤ø,¸¸,ø¤º°`°º¤øø¤º°`°º¤ø,¸¸,ø¤º°`°º¤øø¤º°`°º¤
> ¤°`°Systems  Manager and Tivoli Support Geek
> ¤°`°Lightbridge, Inc
> ¤°`°67 South Bedford St.
> ¤°`°Burlington MA 01832
> ¤°`°781.359.4795 mailto:[email-masked]
> ¤°`°http://www.lightbridge.com
> ¤°`°Free Tivoli scripts at: http://www.microgeek.com
> ¤¤º°`°º¤ø,¸¸,ø¤º°`°º¤øø¤º°`°º¤ø,¸¸,ø¤º°`°º¤øø¤º°`°º¤
>
>

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple